
-- Pilfered from WowWiki's DR page:

--Class 	Effect	 	 	PvP 	PvE
--Druid 	Bash 			Yes 	No
--		Entangling Roots 	Yes	No
--		Hibernate 		Yes	No
--		Cyclone		 	Yes 	Yes
--		Celestial Focus 	Yes 	Yes

--Hunter 	Freezing Trap 		Yes 	No
--		Entrapment 		Yes 	TBD

--Mage 		Frost Nova 		Yes 	No
--		Polymorph 		Yes 	No
--		Impact 			Yes 	Yes
--		Frostbite 		Yes 	No

--Shaman 	Frost Shock 		No(2.3)	No
--		Stoneclaw Totem 	Yes 	Yes
--		Earth Shock 		No 	No

--Paladin 	Hammer of Justice 	Yes 	Yes
--		Seal of Justice 	Yes 	Yes

--Priest 	Psychic Scream 		Yes 	No
--		Mind Control 		Yes 	No
--		Blackout 		Yes	Yes

--Rogue 	Sap 			Yes 	No
--		Gouge		 	Yes 	No
--		Blind 			Yes 	Yes
--		Cheap Shot 		Yes 	Yes
--		Kidney Shot 		Yes 	Yes
--		Mace Specialization 	Yes 	Yes

--Warlock 	Fear 			Yes 	No
--		Seduction	 	Yes 	No
--		Howl of Terror 		Yes 	No
--		Death Coil 		Yes 	No

--Warrior 	Mace Specialization 	Yes 	Yes
--		Charge 			Yes 	Yes
--		Intercept 		Yes	Yes
--		Concussion Blow 	Yes	Yes 	
--		Hamstring 		Yes(2.4)No 

--	spellID		dr-ppv, duration-pvp, dr-pve, duration-pve, dr-timer
Omniscience.spells.cc = {
	-- special placeholders for DR
	["DRstun"] =		{1,15,1,15,"stun"}, 
	["DRfear"] =		{1,15,1,15,"fear"},
	["DRroot"] =		{1,15,1,15,"root"},
	["DRsleep"] =		{1,15,1,15,"sleep"},
	["DRcharm"] =		{1,15,1,15,"charm"},
	["DRpolymorph"] =	{1,15,1,15,"polymorph"},
	["DRslow"] =		{1,15,1,15,"slow"},
	["DRhorror"] =		{1,15,1,15,"horror"},
	["DRcstun"] =		{1,15,1,15,"cstun"},
	["DRincapacitate"] =	{1,15,1,15,"incapacitate"},
	--druid
	[5211] =	{1, 2, nil, 2, "cstun"}, -- Bash 1
	[6798] =	{1, 3, nil, 3, "cstun"}, -- Bash 2
	[8983] =	{1, 4, nil, 4, "cstun"}, -- Bash 1
	[339] = 	{1, 8, nil, 12, "root"}, --Entangling Roots 1
	[1062] = 	{1, 8, nil, 15, "root"}, --Entangling Roots 2
	[5195] = 	{1, 8, nil, 18, "root"}, --Entangling Roots 3
	[5196] = 	{1, 8, nil, 21, "root"}, --Entangling Roots 4
	[9852] = 	{1, 8, nil, 24, "root"}, --Entangling Roots 5
	[9853] = 	{1, 8, nil, 27, "root"}, --Entangling Roots 6
	[26989] = 	{1, 8, nil, 27, "root"}, --Entangling Roots 7
	[2637] = 	{1, 8, nil, 20, "sleep"}, --Hibernate 1
	[18657] = 	{1, 8, nil, 30, "sleep"}, --Hibernate 2
	[18658] = 	{1, 8, nil, 40, "sleep"}, --Hibernate 3
	[33786] =	{1, 6, 1, 6, "incapacitate"}, -- Cyclone
	[16922] =	{1, 3, 1, 3, "stun"},	-- Starfire Stun
	[43356] =	{1, 3, nil, 3, "cstun"}, -- Pounce
	[45334] =	{nil, 4, nil, 4, nil}, -- Feral Charge Effect	
	[22570] =	{nil, 2, nil, 2, nil}, -- Maim

	--hunter
	[3355] =	{1, 8, nil, 10, "stun"}, -- Freezing Trap Effect 1
	[14310] =	{1, 8, nil, 15, "stun"}, -- Freezing Trap Effect 2
	[14311] =	{1, 8, nil, 20, "stun"}, -- Freezing Trap Effect 3
	[19185] = 	{1, 4, nil, 4, "root"}, --Entrapment
	[19306] = 	{1, 5, nil, 5, "root"}, -- Counterattack 1
	[20909] = 	{1, 5, nil, 5, "root"}, -- Counterattack 2
	[20910] = 	{1, 5, nil, 5, "root"}, -- Counterattack 3
	[27067] = 	{1, 5, nil, 5, "root"}, -- Counterattack 4
	[2974] =	{nil, 10, nil, 10, nil}, -- Wing Clip 1
	[14267] =	{nil, 10, nil, 10, nil}, -- Wing Clip 2
	[14268] =	{nil, 10, nil, 10, nil}, -- Wing Clip 3
	[19228] =	{nil, 10, nil, 10, nil}, -- Improved Wing Clip 1
	[19232] =	{nil, 10, nil, 10, nil}, -- Improved Wing Clip 2
	[19233] =	{nil, 10, nil, 10, nil}, -- Improved Wing Clip 3
	[19386] =	{nil, 8, nil, 12, nil}, -- Wyvern Sting 1
	[24132] =	{nil, 8, nil, 12, nil}, -- Wyvern Sting 2
	[24133] =	{nil, 8, nil, 12, nil}, -- Wyvern Sting 3
	[27068] =	{nil, 8, nil, 12, nil}, -- Wyvern Sting 4
	[13810] = 	{nil, 30, nil, 30, nil}, -- Frost Trap Aura
	[5116] =	{nil, 4, nil, 4, nil}, -- Concussive Shot
	[28445] =	{nil, 3, nil, 3, nil}, -- Improved Concussive Shot
	[19503] =	{nil, 4, nil, 4, nil}, -- Scatter Shot
	[1513] =	{nil, 8, nil, 10, nil}, -- Scare Beast 1
	[14326] =	{nil, 8, nil, 10, nil}, -- Scare Beast 2
	[14327] =	{nil, 8, nil, 10, nil}, -- Scare Beast 3
	[24394] =	{nil, 3, nil, 3, nil}, -- Intimidation

	--mage
	[122] = 	{1, 8, nil, 8, "root"}, --Frost Nova 1
	[865] = 	{1, 8, nil, 8, "root"}, --Frost Nova 2
	[6131] = 	{1, 8, nil, 8, "root"}, --Frost Nova 3
	[10230] = 	{1, 8, nil, 8, "root"}, --Frost Nova 4
	[27088] = 	{1, 8, nil, 8, "root"}, --Frost Nova 5
	[118] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph 1
	[12824] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph 2
	[12825] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph 3
	[12826] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph 4
	[28272] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph Pig
	[28271] = 	{1, 8, nil, 30, "polymorph"}, -- Polymorph Turtle
	[12355] =	{1, 2, 1, 2, "stun"}, -- Impact
	[12494] = 	{1, 5, nil, 5, "root"},  -- Frostbite
	[7321] = 	{nil, 5, nil, 5, nil}, -- Ice Armor Chilled proc
	[6136] = 	{nil, 5, nil, 5, nil}, -- Frost Armor Chilled proc
	[116] =		{nil, 5, nil, 5, nil}, -- Frostbolt 1
	[205] =		{nil, 6, nil, 6, nil}, -- Frostbolt 2
	[837] =		{nil, 6, nil, 6, nil}, -- Frostbolt 3
	[7322] =	{nil, 7, nil, 7, nil}, -- Frostbolt 4
	[8406] =	{nil, 7, nil, 7, nil}, -- Frostbolt 5
	[8407] =	{nil, 8, nil, 8, nil}, -- Frostbolt 6
	[8408] =	{nil, 8, nil, 8, nil}, -- Frostbolt 7
	[10179] =	{nil, 8, nil, 9, nil}, -- Frostbolt 8
	[10180] =	{nil, 8, nil, 9, nil}, -- Frostbolt 9
	[10181] =	{nil, 8, nil, 9, nil}, -- Frostbolt 10
	[25304] =	{nil, 8, nil, 9, nil}, -- Frostbolt 11
	[27071] =	{nil, 8, nil, 9, nil}, -- Frostbolt 12
	[27072] =	{nil, 8, nil, 9, nil}, -- Frostbolt 13
	[38697] =	{nil, 8, nil, 9, nil}, -- Frostbolt 14
	[120] =		{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[8492] =	{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[10159] =	{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[10160] =	{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[10161] =	{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[27087] =	{nil, 8, nil, 8, nil}, -- Cone of Cold 1
	[11113] =	{nil, 6, nil, 6, nil}, -- Blast Wave 1
	[13018] =	{nil, 6, nil, 6, nil}, -- Blast Wave 2
	[13019] =	{nil, 6, nil, 6, nil}, -- Blast Wave 3
	[13020] =	{nil, 6, nil, 6, nil}, -- Blast Wave 4
	[13021] =	{nil, 6, nil, 6, nil}, -- Blast Wave 5
	[27133] =	{nil, 6, nil, 6, nil}, -- Blast Wave 6
	[33933] =	{nil, 6, nil, 6, nil}, -- Blast Wave 7
	[31589] =	{nil, 8, nil, 15, nil}, -- Slow
	[31661] =	{nil, 3, nil, 3, nil}, -- Dragon's Breath 1
	[33041] =	{nil, 3, nil, 3, nil}, -- Dragon's Breath 2
	[33042] =	{nil, 3, nil, 3, nil}, -- Dragon's Breath 3
	[33043] =	{nil, 3, nil, 3, nil}, -- Dragon's Breath 4

	-- shaman
	[8056] =	{nil, 8, nil, 8, nil}, -- Frost Shock 1
	[8058] =	{nil, 8, nil, 8, nil}, -- Frost Shock 2 
	[10472] =	{nil, 8, nil, 8, nil}, -- Frost Shock 3
	[10473] =	{nil, 8, nil, 8, nil}, -- Frost Shock 4
	[25464] =	{nil, 8, nil, 8, nil}, -- Frost Shock 5
	[5729] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 1
	[6393] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 2
	[6394] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 3
	[6395] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 4
	[10423] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 5
	[10424] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 6
	[25512] = 	{1, 3, 1, 3, "stun"}, --Stoneclaw Totem Effect 7
	[3600] =	{nil, 5, nil, 5, nil}, --Earthbind aura
	--[8042] = 	{nil, 2, nil, 2, nil}, -- Earth Shock 1 -- doesn't apply a debuff, has no DR, not going to track it.
	
	--paladin
	[853] =		{1, 3, 1, 3, "cstun"}, -- Hammmer of Justice 1
	[5588] =	{1, 4, 1, 4, "cstun"}, -- Hammmer of Justice 2
	[5589] =	{1, 5, 1, 5, "cstun"}, -- Hammmer of Justice 3
	[10308] =	{1, 6, 1, 6, "cstun"}, -- Hammmer of Justice 4
	[20170] = 	{1, 2, 1, 2, "stun"}, -- Seal of Justice Stun proc
	[20066] = 	{1, 6, nil, 6, "incapacitate"}, --Repentance
	[31896] =	{nil, 8, nil, 20, nil}, --Judgement of Justice 2
	[2878] = 	{nil, 8, nil, 15, nil}, -- Turn Undead 1
	[5627] = 	{nil, 8, nil, 15, nil}, -- Turn Undead 2
	[10326] =	{nil, 8, nil, 20, nil}, -- Turn Evil

	--priest
	[8122] =	{1, 8, nil, 8, "fear"}, --Primal Scream 1
	[8124] =	{1, 8, nil, 8, "fear"}, --Primal Scream 2
	[10888] =	{1, 8, nil, 8, "fear"}, --Primal Scream 3
	[10890] =	{1, 8, nil, 8, "fear"}, --Primal Scream 4
	[605] =		{1, 8, nil, 60, "charm"}, -- Mind Control 1
	[10911] =	{1, 8, nil, 60, "charm"}, -- Mind Control 2
	[10912] =	{1, 8, nil, 60, "charm"}, -- Mind Control 3
	[15269] =	{1, 3, 1, 3, "stun"}, -- Blackout proc
	[9484] =	{nil, 8, nil, 30, nil}, -- Shackle Undead 1
	[9485] =	{nil, 8, nil, 40, nil}, -- Shackle Undead 2
	[10955] =	{nil, 8, nil, 50, nil}, -- Shackle Undead 3

	-- rogue
	[6770] = 	{1, 8, nil, 25, "incapacitate"}, -- Sap 1
	[2070] = 	{1, 8, nil, 35, "incapacitate"}, -- Sap 2
	[11297] = 	{1, 8, nil, 45, "incapacitate"}, -- Sap 3
	[1776] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 1
	[1777] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 2
	[8629] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 3
	[11285] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 4
	[11286] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 5
	[38764] =	{1, 4, nil, 4, "incapacitate"}, -- Gouge 6
	[2094] = 	{1, 8, 1, 10, "disorient"}, -- Blind
	[1833] = 	{1, 4, 1, 4, "controlled stun"}, -- Cheap Shot 
	[408] =		{1, 1, 1, 1, "controlled stun"}, -- Kidney Shot 1
	[8643] =	{1, 1, 1, 1, "controlled stun"}, -- Kidney Shot 2
	[5530] =	{1, 3, 1, 3, "stun"}, -- Mace Stun Effect
	[3409] = 	{nil, 8, nil, 12, nil}, -- Crippling Poison 1
	[11201] = 	{nil, 8, nil, 12, nil}, -- Crippling Poison 2
	[26679] =	{nil, 6, nil, 6, nil}, -- Deadly Throw
	
	-- warlock
	[5782] =	{1, 8, nil, 10, "fear"}, -- Fear 1
	[6213] =	{1, 8, nil, 15, "fear"}, -- Fear 1
	[6215] =	{1, 8, nil, 20, "fear"}, -- Fear 1
	[6358] =	{1, 8, nil, 15, "charm"}, -- Seduction
	[5484] = 	{1, 6, nil, 6, "fear"}, -- Howl of Terror 1
	[17928] =	{1, 8, nil, 8, "fear"}, -- Howl of Terror 2
	[6780] = 	{1, 3, nil, 3, "horror"}, -- Death Coil 1
	[17925] = 	{1, 3, nil, 3, "horror"}, -- Death Coil 2
	[17926] = 	{1, 3, nil, 3, "horror"}, -- Death Coil 3
	[27223] = 	{1, 3, nil, 3, "horror"}, -- Death Coil 4
	[18223] =	{nil, 8, nil, 12, nil}, -- Curse of Exhaustion
	[30283] =	{nil, 2, nil, 2, nil}, -- Shadowfury 1
	[30413] =	{nil, 2, nil, 2, nil}, -- Shadowfury 2
	[30414] =	{nil, 2, nil, 2, nil}, -- Shadowfury 3
	[710] =		{nil, 8, nil, 20, nil}, -- Banish 1
	[18647] =	{nil, 8, nil, 30, nil}, -- Banish 1

	--warrior
	[7922] =	{1, 1, 1, 1, "stun"}, -- Charge Stun
	[30153] =	{1, 3, 1, 3, "stun"}, -- Intercept Stun 1
	[30195] =	{1, 3, 1, 3, "stun"}, -- Intercept Stun 1
	[30197] =	{1, 3, 1, 3, "stun"}, -- Intercept Stun 1
	[12809] =	{1, 5, 1, 5, "stun"}, -- Concussion Blow
	[1715] = 	{1, 15, nil, 15, "slow"}, -- Hamstring 1
	[7372] = 	{1, 15, nil, 15, "slow"}, -- Hamstring 2
	[7373] = 	{1, 15, nil, 15, "slow"}, -- Hamstring 3
	[25212] = 	{1, 15, nil, 15, "slow"}, -- Hamstring 4
	[12289] =	{nil, 5, nil, 5, nil}, -- Improved Hamstring 1
	[12668] =	{nil, 5, nil, 5, nil}, -- Improved Hamstring 1
	[23695] =	{nil, 5, nil, 5, nil}, -- Improved Hamstring 1
	[5246] =	{nil, 8, nil, 8, nil}, --Intimidating Shout
	[6343] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 1
	[8198] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 2
	[8204] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 3
	[8205] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 4
	[11580] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 5
	[11581] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 6
	[25264] =	{nil, 10, nil, 10, nil}, -- Thunder Clap 7
	[12323] =	{nil, 6, nil, 6, nil}, -- Piercing Howl

	-- items
	[13181] =	{1, 8, nil, 20, "charm"}, -- Gnomish Mind Control Cap
	[26740] =	{1, 8, nil, 20, "charm"}, -- Gnomish Mind Control Cap
	[31367] =	{nil, 3, nil, 3, nil}, -- Netherweave Net

}

